WoltLab Cloud DomPDF Library (WoltLab Suite) 3.0.8

HTML zu PDF converter

Dieses Paket hat für Endanwender keinen Nutzen!


WCF 2.0/2.1


Siehe https://github.com/dompdf/dompdf

Codebeispiel

  • Version 3.0.8

    Version 1.2.0 mit Patch für RCE Sicherheitslücke

  • Version 3.0.7

    Change highlights since 1.1.1

    • Addresses PHP 8.1 compatibility issues
    • Improves table parsing and layout
    • Adds support for space-separated RGB color syntax
    • Adds callback function support to Canvas::page_script
    • Fixes issue handling differing page margins
    • Fixes font issue caused by temporary file handling during concurrent execution
    • Fixes issues with metadata in protected PDFs

    The list of addressed issues can be found in the 1.2.0 release milestone. View all changes since the previous release in the commit history.

    We would like to extend our gratitude to the community members who helped make this release possible.

    Requirements

    Dompdf 1.2.0 requires the following:

    • PHP 7.1 or greater
    • MBString
    • php-font-lib v0.5.x
    • php-svg-lib v0.3.x

    Note that some dependencies may have further dependencies (notably php-svg-lib requires sabberworm/php-css-parser).

    Additionally, the following are recommended for optimal use:

    • GD (for image processing)
    • allow_url_fopen set to true or the curl PHP extension (for retrieving stylesheets, images, etc via http)

    For full requirements and recommendations see the requirements page on the wiki.

    Diese Version muss zunächst von einem Moderator geprüft und freigeschaltet werden, damit sie für alle Benutzer sichtbar wird.

  • Version 3.0.6

    Change highlights since 0.8.6

    • Adds support for PHP 8

    Note on resource references: Because of the changes in resource security, some resources (images, external stylesheets) that would previously load with the default settings may not longer load. To ensure compatibility with this release ensure that remote resources can be loaded and that any local filesystem resources are within the directories specified by the chroot setting. By default, chroot is set to the Dompdf directory. Information on how to change these settings can be found in the readme section on setting options.

    The list of addressed issues can be found in the release milestone. View all changes since the previous release in the commit history.

    We would like to extend our gratitude to the community members who helped make this release possible.

    Requirements

    Dompdf 1.0.2 requires the following:

    • PHP 7.1 or greater
    • MBString
    • php-font-lib v0.5.x
    • php-svg-lib v0.3.x

    Note that some dependencies may have further dependencies (notably php-svg-lib requires sabberworm/php-css-parser).

    Additionally, the following are recommended for optimal use:

    • GD (for image processing)
    • allow_url_fopen set to true or the curl PHP extension (for retrieving stylesheets, images, etc via http)

    For full requirements and recommendations see the requirements page on the wiki.

  • Version 3.0.4

    Change highlights since 0.8.3

    • Improves compatibility with PHP 7.x
    • Improves support for PDFLib 9
    • Adds support for numeric font weights
    • Improves style inheritance though addition of computed CSS values in addition to declared and used values
    • Improved handling of non-breaking space and word boundaries
    • Minor improvement to table border/background rendering

    The list of addressed issues can be found in the release milestone. View all changes since the previous release in the commit history.

    We would like to extend our gratitude to the community members who helped make this release possible.

    Requirements

    Dompdf 0.8.4 requires the following:

    • PHP 7.0 or greater
    • MBString
    • php-font-lib v0.5.x
    • php-svg-lib v0.3.x

    Note that some dependencies may have further dependencies (notably php-svg-lib requires sabberworm/php-css-parser).

    Additionally, the following are recommended for optimal use:

    • GD (for image processing)
    • allow_url_fopen set to true or the curl PHP extension (for retrieving stylesheets, images, etc via http)

    For full requirements and recommendations see the requirements page on the wiki.

  • Version 3.0.3 pl 1

    • Fixed compatibility issues with PHP 7.3 and php-svg-lib
  • Version 3.0.3

    Change highlights since 0.8.2

    • Improved compatibility with PHP 7.3
    • Supported PDFLib version bumped to PDFLib 9
    • Added page_line() canvas method (like page_text())
    • Page break improvements
    • Bug Fix: word-wrap: break-word no longer expands parent containers
    • Bug Fix: Addressed decorator positioning issues due to incorrect height calculation (better underline positioning)
    • GD is now only recommended per composer configuration (though still required for image processing)
  • Version 3.0.2

    WSC 3.1 Kompatibilität

  • Version 3.0.1

    WSC 3.0 Version (dompdf 0.8.2)

  • Version 3.0.0

    WSC 3.0 Version (dompdf 0.8.1)

  • Version 0.8.0